JexlException.Ambiguous (Apache Commons JEXL 3.6.3 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlException, class: Ambiguous

Package org.apache.commons.jexl3

# Class JexlException.Ambiguous

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.jexl3.JexlException
org.apache.commons.jexl3.JexlException.Parsing
org.apache.commons.jexl3.JexlException.Ambiguous

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `JexlException`

public static class JexlException.Ambiguous extends JexlException.Parsing
Thrown when parsing fails due to an ambiguous statement.

Since:
  3.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.jexl3.JexlException

  `JexlException.Ambiguous, JexlException.Annotation, JexlException.Assignment, JexlException.Break, JexlException.Cancel, JexlException.Continue, JexlException.Feature, JexlException.Method, JexlException.Operator, JexlException.Parsing, JexlException.Property, JexlException.Return, JexlException.StackOverflow, JexlException.Throw, JexlException.Tokenization, JexlException.TryFailed, JexlException.Variable, JexlException.VariableIssue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Ambiguous(JexlInfo info, String expr)`
  Creates a new Ambiguous statement exception instance.
  `Ambiguous(JexlInfo begin, JexlInfo end, String expr)`
  Creates a new Ambiguous statement exception instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `detailedMessage()`
  Accesses the detailed message.
  `String`
  `tryCleanSource(String src)`
  Tries to remove this ambiguity in the source.

  ### Methods inherited from class org.apache.commons.jexl3.JexlException

  `annotationError, clean, getDetail, getInfo, getInfo, getMessage, info, methodError, methodError, operatorError, parserError, propertyError, propertyError, sliceSource, tryFailed, variableError, variableError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Ambiguous

    public Ambiguous(JexlInfo begin, JexlInfo end, String expr)
    Creates a new Ambiguous statement exception instance.
    Parameters:
      `begin` - the start location information
      `end` - the end location information
      `expr` - the source expression line

  - ### Ambiguous

    public Ambiguous(JexlInfo info, String expr)
    Creates a new Ambiguous statement exception instance.
    Parameters:
      `info` - the location information
      `expr` - the source expression line

- ## Method Details

  - ### detailedMessage

    protected String detailedMessage()
    Description copied from class: `JexlException`
    Accesses the detailed message.
    Overrides:
      `detailedMessage` in class `JexlException.Parsing`
    Returns:
      the message

  - ### tryCleanSource

    public String tryCleanSource(String src)
    Tries to remove this ambiguity in the source.
    Parameters:
      `src` - the source that triggered this exception
    Returns:
      the source with the ambiguous statement removed or null if no recovery was possible